Get a collection

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.usehearsay.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "integrations MCP server": {
    "url": "https://docs.usehearsay.com/mcp"
  }
}

Close
GET /case/collections/{caseId}/{collectionId}

Returns one collection.

Headers

  • organization string Required

    id of the selected (active) organization

Path parameters

  • caseId string Required

    Id of the case

  • collectionId string Required

    Id of the collection

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • data object Required
      Hide data attributes Show data attributes object
      • createdAt string(date-time) Required
      • updatedAt string(date-time) Required
      • id string Required
      • name string Required
      • slug string Required
      • case string | null Required
      • user string Required

        Id of the user who created the collection

      • lastUpdatedBy string | null Required
      • archivedAt string(date-time) | null Required
      • archivedBy string | null Required
    • statusCode number Required
    • timestamp string(date-time) Required
GET /case/collections/{caseId}/{collectionId}
curl \
 --request GET 'http://api.example.com/case/collections/{caseId}/{collectionId}' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "organization: string"
Response examples (200)
{
  "data": {
    "createdAt": "2026-01-15T14:30:00.000Z",
    "updatedAt": "2026-01-15T14:30:00.000Z",
    "id": "507f1f77bcf86cd799439011",
    "name": "Key messages",
    "slug": "key-messages",
    "case": "507f1f77bcf86cd799439011",
    "user": "507f1f77bcf86cd799439011",
    "lastUpdatedBy": "507f1f77bcf86cd799439011",
    "archivedAt": "2026-05-04T09:42:00Z",
    "archivedBy": "string"
  },
  "statusCode": 200,
  "timestamp": "2026-01-15T10:15:00.000Z"
}